GNU bug report logs - #15849
24.3.50; lexical-binding in first line ugly

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Helmut Eller <eller.helmut@HIDDEN>; Keywords: wontfix; merged with #10605, #20640; dated Sun, 10 Nov 2013 07:26:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) wontfix. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'wishlist' from 'minor' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 10605 15849 20640. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 10605 15849. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 15849 <at> debbugs.gnu.org:


Received: (at 15849) by debbugs.gnu.org; 10 Nov 2013 19:16:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 10 14:16:50 2013
Received: from localhost ([127.0.0.1]:45866 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VfaV8-0002ui-Da
	for submit <at> debbugs.gnu.org; Sun, 10 Nov 2013 14:16:50 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:45485 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1VfaV6-0002ub-K5
 for 15849 <at> debbugs.gnu.org; Sun, 10 Nov 2013 14:16:48 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1VfaV5-0008Bj-1Z; Sun, 10 Nov 2013 14:16:47 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Helmut Eller <eller.helmut@HIDDEN>
Subject: Re: bug#15849: 24.3.50; lexical-binding in first line ugly
References: <m2vc00ra5k.fsf@HIDDEN>
X-Spook: Etacs warfare Bush Wired Abu Ghraib virus AK-47 credit
X-Ran: Dbz#}j!X"]0m}J|8pRP@KNK\3_S5.#(N6cT50Li(C?6H3Oe2}byS[e)CUB5/6a\vi.Qn`S
X-Hue: white
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Sun, 10 Nov 2013 14:16:46 -0500
In-Reply-To: <m2vc00ra5k.fsf@HIDDEN> (Helmut Eller's message of "Sun, 10
 Nov 2013 08:25:11 +0100")
Message-ID: <dksiv45aox.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 15849
Cc: 15849 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Helmut Eller wrote:

> Please provide another way to specify lexical binding.

Dupe of http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10605




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15849; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Nov 2013 07:25:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 10 02:25:51 2013
Received: from localhost ([127.0.0.1]:45159 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VfPP3-0001af-JK
	for submit <at> debbugs.gnu.org; Sun, 10 Nov 2013 02:25:50 -0500
Received: from eggs.gnu.org ([208.118.235.92]:54545)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eller.helmut@HIDDEN>) id 1VfPOz-0001aO-Um
 for submit <at> debbugs.gnu.org; Sun, 10 Nov 2013 02:25:46 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eller.helmut@HIDDEN>) id 1VfPOm-0001pU-Cd
 for submit <at> debbugs.gnu.org; Sun, 10 Nov 2013 02:25:40 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:38576)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eller.helmut@HIDDEN>) id 1VfPOm-0001pP-92
 for submit <at> debbugs.gnu.org; Sun, 10 Nov 2013 02:25:32 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:56242)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eller.helmut@HIDDEN>) id 1VfPOd-0003qA-JE
 for bug-gnu-emacs@HIDDEN; Sun, 10 Nov 2013 02:25:32 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eller.helmut@HIDDEN>) id 1VfPOV-0001iT-6x
 for bug-gnu-emacs@HIDDEN; Sun, 10 Nov 2013 02:25:23 -0500
Received: from mail-ea0-x22f.google.com ([2a00:1450:4013:c01::22f]:61914)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eller.helmut@HIDDEN>) id 1VfPOU-0001iP-V2
 for bug-gnu-emacs@HIDDEN; Sun, 10 Nov 2013 02:25:15 -0500
Received: by mail-ea0-f175.google.com with SMTP id k11so802865eaj.20
 for <bug-gnu-emacs@HIDDEN>; Sat, 09 Nov 2013 23:25:13 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:message-id:mime-version:content-type;
 bh=pONbf3wiW6duuSJ0hPHzN+3jJsIAEuglCirvbi3o9vc=;
 b=zZBFsMQAB76wkp6oXycy1Y+LPJzyRApDH9ztsUt73gCYQA51Rq1eq7EArRbCgXMFL4
 X+wm2WiMBKSr84l3azMsaMYhW/hKrbKmlu4d1TuUW1H/tmHaYpbytK8X6KSEjGPexs3p
 q15pMSFsc21qw5htZJ5xLPMqijOZmmY1aP/jqlaBk3APDnfpY4ZV7ycWCktO1Eeo9AIP
 dTdQIU5FfUAiXe9mTbfJzMWqHkcuE2QdigI7YGN8p6Sa69NkOYAIfUtOrxYE42qHaKZW
 9xjYP6Na/JKYtDrtePgHPom9n2g4v0GugrV1xCdj5CSE4mGr6rysfg81rA/zB7GMSM4s
 4/Kw==
X-Received: by 10.14.108.9 with SMTP id p9mr27338871eeg.8.1384068313749;
 Sat, 09 Nov 2013 23:25:13 -0800 (PST)
Received: from ix (dial-188058.pool.broadband44.net. [212.46.188.58])
 by mx.google.com with ESMTPSA id 8sm45734719eem.15.2013.11.09.23.25.12
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Sat, 09 Nov 2013 23:25:13 -0800 (PST)
Received: from helmut by ix with local (Exim 4.80)
 (envelope-from <eller.helmut@HIDDEN>) id 1VfPOR-0000tj-2Z
 for bug-gnu-emacs@HIDDEN; Sun, 10 Nov 2013 08:25:11 +0100
From: Helmut Eller <eller.helmut@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3.50; lexical-binding in first line ugly
Date: Sun, 10 Nov 2013 08:25:11 +0100
Message-ID: <m2vc00ra5k.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Emacs doesn't let be put the lexical-binding: t at the end of the file.
The manual says in (elisp)Lexical Binding:

  "Note that unlike other such variables, this one must be set in the
   first line of a file."

But in (elisp)Library Headers it says this:

     The very first line should have this format:
  
       ;;; FILENAME --- DESCRIPTION
  
  The description should be contained in one line.  If the file needs a
  `-*-' specification, put it after DESCRIPTION.  If this would make the
  first line too long, use a Local Variables section at the end of the
  file.

Clearly the manual contradicts itself.  My first line is already full
and putting the lexical-binding marker there is just plain ugly.  Please
provide another way to specify lexical binding. Something like a
declaration (IMO, the Right Thing):

  (declaim (lexical-binding t))

or some magic comment like

  ;;;###lexical-binding

that doesn't need to be in the first line.




Acknowledgement sent to Helmut Eller <eller.helmut@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#15849; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 27 May 2015 03:30:06 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.